package com.halomobi.sdk;

public class HlAdParameter {
    private int mWidth;
    private int mHeight;
    private String mSlotAdId;

    private HlAdParameter(Builder builder) {
        this.mWidth = builder.width;
        this.mHeight = builder.height;
        this.mSlotAdId = builder.slotAdId;
    }

    public int getAdWidth() {
        return mWidth;
    }

    public int getAdHeight() {
        return mHeight;
    }

    public String getSlotAdId() {
        return mSlotAdId;
    }

    public static class Builder {
        private int width;
        private int height;
        private String slotAdId;

        public Builder() {

        }

        public Builder setAdWidth(int width) {
            this.width = width;
            return this;
        }

        public Builder setAdHeight(int height) {
            this.height = height;
            return this;
        }

        public Builder setSlotAdId(String slotAdId) {
            this.slotAdId = slotAdId;
            return this;
        }

        public HlAdParameter build() {
            return new HlAdParameter(this);
        }
    }
}
